*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

/* loading screen */
.reveal .parent{
    display: block;
    overflow-y: hidden;
    width: 100%;
    display: flex;
    justify-content: center;
}
.reveal .parent .child{
display: block;
}
.parent .child span{
    display: inline-block;
}
.reveal .child{
    overflow-x: hidden;
    scrollbar-width: none;
}
#full{
    position: absolute;
    top: -15%;
    right: -100%;
    align-items: center;
}
/* .close{
    position: absolute;
    top: 10%;
    right: 5%;
    font-size: 18px;
    font-weight: bold;
    background-color: #f1f1f1;
    font-weight: 700;
    padding: 10px 15px;
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
} */
/* @media (max-width:600px){
#full{
    width: 100%;
}
 #full h5{
    font-size: 30px;
    font-weight: 600; 
    margin-bottom: 20px;
}
}
@media (max-width:900px){
    #full{
        width: 100%;
    }
     #full h5{
        font-size: 25px;
        font-weight: 600; 
        margin-bottom: 15px;
    }
    } */
/* marquee */
#move{
    display: flex;
    gap: 3px;
    padding: 2vw 0;
    overflow: hidden;
}
.marque{
    flex-shrink: 0;
    display: flex;
    align-items: center;
    gap: 7vw;
    padding: 0 3.5vw;
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
   
}  
/* .marque img{
   height: 4.5vw;
} */
.projects{
    transition: background-color cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -webkit-transition: background-color cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -moz-transition: background-color cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -ms-transition: background-color cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -o-transition: background-color cubic-bezier(0.19, 1, 0.22, 1) 2s;
}
.cursor>div{
    
    pointer-events: none;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
    opacity: 0;
    position: absolute;
    -webkit-transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -moz-transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -ms-transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -o-transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
}
.con>img{
    transition: filter cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -webkit-transition: filter cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -moz-transition: filter cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -ms-transition: filter cubic-bezier(0.19, 1, 0.22, 1) 2s;
    -o-transition: filter cubic-bezier(0.19, 1, 0.22, 1) 2s;
}
.elem img{
    width: 100px;
    height: 100px;
    opacity: 0;
    border-radius: 20px;
    animation: an 4s linear infinite;
    -webkit-animation: an 4s linear infinite;
    position: absolute;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
    margin-top: 10px;
}
.elem img:nth-child(2){

    animation-delay: 1s;
}
.elem img:nth-child(3){

    animation-delay: 2s;
}
.elem img:nth-child(4){

    animation-delay: 3s;
}
.elem img:nth-child(5){

    animation-delay: 4s;
}
@keyframes an {
    0%{
        opacity: 1;
    }
    20%{
        opacity: 1;
    }
    21%{
        opacity: 0;
    }
    40%{
        opacity: 0;
    }
    60%{
        opacity: 0;
    }
    80%{
        opacity: 0;
    }
        100%{
        opacity: 0;
    }
}
.text h1{
    transition: all ease-out 0.5s;
    -webkit-transition: all ease-out 0.5s;
    -moz-transition: all ease-out 0.5s;
    -ms-transition: all ease-out 0.5s;
    -o-transition: all ease-out 0.5s;
}
.text:hover h1{
    transform: translateY(-100%);
    -webkit-transform: translateY(-100%);
    -moz-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    -o-transform: translateY(-100%);
}
.chat:hover h1{
    transform: translateY(-100%);
    -webkit-transform: translateY(-100%);
    -moz-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    -o-transform: translateY(-100%);
}
.insta-part:hover{
   border: none;
   cursor: pointer;
   background-color: #009a67;
   transition:all ease-in-out 0.4s linear ;
   -webkit-transition:all ease-in-out 0.4s linear ;
   -moz-transition:all ease-in-out 0.4s linear ;
   -ms-transition:all ease-in-out 0.4s linear ;
   -o-transition:all ease-in-out 0.4s linear ;
}
.cb-footer-bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
}
.code{
    stroke: #000000;
    -webkit-text-stroke: 1px;
    letter-spacing: 0.003px;
    -webkit-text-fill-color: transparent;
}
.span-a{
    -webkit-text-stroke: transparent;
    -webkit-text-fill-color: #7b818d ;
}
.images{
    width:100%;
    position: relative;
}
.canvas-button {
    position: relative;
    padding: 0;
    border: none;
    background: none;
    cursor: pointer;
    width: 50px;
    height: 50px;
    overflow: hidden;
    border-radius: 30px;
    background-color: #F0F1FA;
    /*Blackbackground*/box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
}

#buttonCanvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 8px;
}
/* menu button */
.menu-btn-6 {
    height: 32px;
    width: 40px;
    cursor: pointer;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    z-index: 1;
}

.menu-btn-6 span,
.menu-btn-6 span::before,
.menu-btn-6 span::after {
    background: #126a50;
    content: '';
    position: absolute;
    width: 40px;
    height: 3px;
    margin-top: 10px;
    border-radius: 50px;
    -webkit-transition: .3s ease-in-out .3s;
    -moz-transition: .3s ease-in-out .3s;
    -o-transition: .3s ease-in-out .3s;
    transition: .3s ease-in-out .3s;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
}

.menu-btn-6.active span {
    background: transparent;
    
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;

    -webkit-transform:rotate(-90deg);
    -moz-transform:rotate(-90deg);
    -o-transform:rotate(-90deg);
    transform:rotate(-90deg);
}

.menu-btn-6.active span::before {
  
    
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);

    -webkit-transition-delay: .5s;
    -moz-transition-delay: .5s;
    -o-transition-delay: .5s;
    transition-delay: .5s;
}

.menu-btn-6.active span::after {
   
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);

    -webkit-transition-delay: .6s;
    -moz-transition-delay: .6s;
    -o-transition-delay: .6s;
    transition-delay: .5s;
}

::-webkit-scrollbar-button{
    background-color: rgb(65, 228, 141);
}
 @keyframes bounce {
            0%, 20%, 50%, 80%, 100% {
                transform: translateY(0);
            }
            40% {
                transform: translateY(-30px);
            }
            60% {
                transform: translateY(-15px);
            }
        }
        .bounce-animation {
            animation: bounce 1s infinite;
        }
        .container {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-wrap: wrap;
            gap: 150px;
            padding: 100px 50px;
        }
        
        .container .card {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            width: 450px;
            max-width: 100%;
            height: 300px;
            border-radius: 20px;
            transition: 0.5s;
            box-shadow: 0 35px 80px rgba(0, 0, 0, 0.15);
        }
        
        .container .card:hover {
            height: 400px;
        }
        
        .container .card .img-box {
            position: absolute;
            top: 20px;
            width: 400px;
            height: 220px;
            background: #333;
            border-radius: 12px;
            overflow: hidden;
            transition: 0.5s;
        }
        
        .container .card:hover .img-box {
            top: -100px;
            scale: 0.75;
            box-shadow: 0 15px 45px rgba(0, 0, 0, 0.2);
        }
        
        .container .card .img-box img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        
        .container .card .content {
            position: absolute;
            top: 252px;
            width: 100%;
            height: 35px;
            padding: 0 30px;
            text-align: center;
            overflow: hidden;
            transition: 0.5s;
        }
        
        .container .card:hover .content {
            top: 130px;
            height: 250px;
        }
        
        .container .card .content h2 {
            font-size: 1.5rem;
            font-weight: 700;
            color: var(--clr);
        }
        
        .container .card .content p {
            color: #333;
        }
        
        .container .card .content a {
            position: relative;
            top: 15px;
            display: inline-block;
            padding: 12px 25px;
            text-decoration: none;
            background: var(--clr);
            color: white;
            font-weight: 500;
        }
        
        .container .card .content a:hover {
            opacity: 0.8;
        }
        
        @media (max-width: 480px) {
            .container .card {
                width: 230px;
                border-radius: 15px;
            }
        
            .container .card .img-box {
                width: 185px;
                border-radius: 10px;
            }
        
            .container .card .content p {
                font-size: 0.8rem;
            }
        
            .container .card .content a {
                font-size: 0.9rem;
            }
        }
        /* wrapper scroller */
        .wrapper {
            width: 100%;
            margin-inline: auto;
            height: 100px;
            position: relative;
            overflow: hidden;
            display: flex;
            align-items: center;
          }
          
          @keyframes scrollLeft {
            to {
              left: -200px;
            }
          }
          
          @keyframes scrollRight {
            to {
              right: -200px;
            }
          }
          
          .itemLeft,
          .itemRight {
            border-radius: 6px;
            position: absolute;
            animation-timing-function: linear;
            animation-duration: 10s;
            animation-iteration-count: infinite;
          }
          
          .itemLeft {
            left: max(calc(200px * 8), 100%);
            animation-name: scrollLeft;
          }
          
          .itemRight {
            right: max(calc(200px * 8), calc(100% + 200px));
            animation-name: scrollRight;
          }
          
          .item1 {
            animation-delay: calc(30s / 8 * (8 - 1) * -1);
          }
          
          .item2 {
            animation-delay: calc(30s / 8 * (8 - 2) * -1);
          }
          
          .item3 {
            animation-delay: calc(30s / 8 * (8 - 3) * -1);
          }
          
          .item4 {
            animation-delay: calc(30s / 8 * (8 - 4) * -1);
          }
          
          .item5 {
            animation-delay: calc(30s / 8 * (8 - 5) * -1);
          }
          
          .item6 {
            animation-delay: calc(30s / 8 * (8 - 6) * -1);
          }
          
          .item7 {
            animation-delay: calc(30s / 8 * (8 - 7) * -1);
          }
          
          .item8 {
            animation-delay: calc(30s / 8 * (8 - 8) * -1);
          }
          
          /* --------------------------- */
          
          .wrapper1 {
            margin-top: 2rem;
            width: 100%;
            position: relative;
            overflow: hidden;
          }
          @keyframes scroll-Left {
            to {
              left: -30vw;
            }
          }
          @media screen and (max-width:500px) {
            @keyframes scrollLeft {
              to {
                left: -130px;
              }
            }
          
            @keyframes scrollRight {
              to {
                right: -130px;
              }
            }
          
            .itemLeft {
              left: max(calc(80px * 8), 100%);
              animation-name: scrollLeft;
            }
          
            .itemRight {
              right: max(calc(80px * 8), calc(100% + 130px));
              animation-name: scrollRight;
            }
          }
          
          